# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 72d2accc2299cdda9379db17ed62e8e5df5a9426
    parent 2fcfea1bf149f839cdbcba5c1efc7c4ce31f6d95
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Sat, 14 Mar 2015 08:43:57 +0100

    Glibc wants me to use _DEFAULT_SOURCe. I do obey.

    Diffstat:
    Mconfig.mk | 2+-

    1 file changed, 1 insertion(+), 1 deletion(-)
    diff --git a/config.mk b/config.mk
    @@ -19,7 +19,7 @@ LIBS = -L/usr/lib -lc -L${X11LIB} -lm -lrt -lX11 -lutil -lXext -lXft \
            `pkg-config --libs freetype2`

     # flags
    -CPPFLAGS = -DVERSION=\"${VERSION}\" -D_BSD_SOURCE -D_XOPEN_SOURCE=600
    +CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600
     CFLAGS += -g -std=c99 -pedantic -Wall -Wvariadic-macros -Os ${INCS} ${CPPFLAGS}
     LDFLAGS += -g ${LIBS}